GranteeGrants
curl --request GET \
--url https://cosmos-rest.publicnode.com/cosmos/authz/v1beta1/grants/grantee/{grantee}import requests
url = "https://cosmos-rest.publicnode.com/cosmos/authz/v1beta1/grants/grantee/{grantee}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://cosmos-rest.publicnode.com/cosmos/authz/v1beta1/grants/grantee/{grantee}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://cosmos-rest.publicnode.com/cosmos/authz/v1beta1/grants/grantee/{grantee}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://cosmos-rest.publicnode.com/cosmos/authz/v1beta1/grants/grantee/{grantee}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://cosmos-rest.publicnode.com/cosmos/authz/v1beta1/grants/grantee/{grantee}")
.asString();require 'uri'
require 'net/http'
url = URI("https://cosmos-rest.publicnode.com/cosmos/authz/v1beta1/grants/grantee/{grantee}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"grants": [
{
"granter": "<string>",
"grantee": "<string>",
"authorization": {
"@type": "<string>"
},
"expiration": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"next_key": "aSDinaTvuI8gbWludGxpZnk=",
"total": "<string>"
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}authz
GranteeGrants
gRPC: cosmos.authz.v1beta1.Query/GranteeGrants (reference)
GranteeGrants returns a list of GrantAuthorization by grantee.
GET
/
cosmos
/
authz
/
v1beta1
/
grants
/
grantee
/
{grantee}
GranteeGrants
curl --request GET \
--url https://cosmos-rest.publicnode.com/cosmos/authz/v1beta1/grants/grantee/{grantee}import requests
url = "https://cosmos-rest.publicnode.com/cosmos/authz/v1beta1/grants/grantee/{grantee}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://cosmos-rest.publicnode.com/cosmos/authz/v1beta1/grants/grantee/{grantee}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://cosmos-rest.publicnode.com/cosmos/authz/v1beta1/grants/grantee/{grantee}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://cosmos-rest.publicnode.com/cosmos/authz/v1beta1/grants/grantee/{grantee}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://cosmos-rest.publicnode.com/cosmos/authz/v1beta1/grants/grantee/{grantee}")
.asString();require 'uri'
require 'net/http'
url = URI("https://cosmos-rest.publicnode.com/cosmos/authz/v1beta1/grants/grantee/{grantee}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"grants": [
{
"granter": "<string>",
"grantee": "<string>",
"authorization": {
"@type": "<string>"
},
"expiration": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"next_key": "aSDinaTvuI8gbWludGxpZnk=",
"total": "<string>"
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Query Parameters
Response
A successful response.
QueryGranteeGrantsResponse is the response type for the Query/GranteeGrants RPC method.
Was this page helpful?